> For the complete documentation index, see [llms.txt](https://handtracking.lightbuzz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://handtracking.lightbuzz.com/api-reference/finger/thumb.md).

# Thumb

{% hint style="warning" %}
The `Hand` class automatically instantiates the `Thumb` class for you.
{% endhint %}

```csharp
public class Thumb : Finger
```

Inherits [Finger ](/api-reference/finger.md)class.

### Constructors

| Name                                                                                                                  | Description                                                                         |
| --------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| Thumb(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Thumb object with the specified finger joint types and finger joints. |

### Properties

| Name | Type                                         | Description                                     |
| ---- | -------------------------------------------- | ----------------------------------------------- |
| CMC  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The thumb carpometacarpal joint.     |
| MCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The thumb metacarpophalangeal joint. |
| IP   | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The thumb interphalangeal joint.     |
| Tip  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The thumb tip joint.                 |

### Example

The example shows how to manage a thumb with the `Thumb`class.

#### Create a thumb with a constructor

```csharp
// Create a thumb tip joint with the specified 2D position and 
// 3D position.
FingerJoint thumbTip = new FingerJoint
(
    FingerJointType.ThumbTip,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create a thumb IP joint with the specified 2D position and 
// 3D position.
FingerJoint thumbIP = new FingerJoint
(
    FingerJointType.ThumbIP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

 // Create a thumb with the specified thumb joints.
 Thumb thumb = new Thumb
 (
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.ThumbTip, thumbTip },
         { FingerJointType.ThumbIP, thumbIP }
     }
 );
```

#### Get joint information from a thumb

```csharp
// Get thumb Tip joint.
FingerJoint thumbTipNew = thumb.Tip;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger/thumb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
